Package ru.bitel.oss.kernel.entity.common.bean

# Class EntitySpecAttr

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr
ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttr

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class EntitySpecAttr extends AbstractSpecAttr
Тип(спецификация) параметра.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntitySpecAttr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntitySpecAttr`
  `setComment(String comment)`
  `EntitySpecAttr`
  `setId(int id)`
  Устанавливает id объекта
  `EntitySpecAttr`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `EntitySpecAttr`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr

  `getComment, getType, getTypeName, getTypeName, isHistory, setHistory, toTypeMap`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EntitySpecAttr

    public EntitySpecAttr()

- ## Method Details

  - ### setId

    public EntitySpecAttr setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public EntitySpecAttr setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setType

    public EntitySpecAttr setType(int type)
    Overrides:
      `setType` in class `AbstractSpecAttr`

  - ### setComment

    public EntitySpecAttr setComment(String comment)
    Overrides:
      `setComment` in class `AbstractSpecAttr`